#include <windowsx.h>
#include <windows.h>
#include <stdio.h>
#include <time.h>

#include "resource.h"
#include "LogEvent.h"


//-------------------------------------------------------
BOOL CALLBACK eAbout(HWND hDlg, UINT uMsg, WPARAM wParam, LPARAM lParam)
{

	switch(uMsg) {

		case WM_INITDIALOG: {
			char buf[64];
			sprintf(buf, "%s v%s", PROGRAM, REL_VER);
			SendDlgItemMessage(hDlg, IDC_ABOUT_VER, WM_SETTEXT, 0, (LPARAM)buf);
			}
			break;

		case WM_COMMAND:
			switch (GET_WM_COMMAND_ID(wParam, lParam)) {
				case IDOK:
					EndDialog(hDlg, 0);
					break;
			}
			break;

		default:
			return (FALSE);
	}
	return(TRUE);
}

//-------------------------------------------------------
void AboutLogEvent(HWND hwndMain)
{
	DialogBox(hInstance, MAKEINTRESOURCE(IDD_ABOUT), hwndMain, eAbout);
}

